$ SAY := WRITE SYS$OUTPUT
$ status = 1
$ defdir = "SYS$COMMON:[SYSMGR]"
$ defhlp = "SYS$HELP:HELPLIB.HLB"
$!
$ ON ERROR	THEN GOTO ERROR_EXIT
$ ON CONTROL_Y	THEN GOTO ERROR_EXIT
$!
$ SAY ""
$ SAY "SYMFILE installation.."
$ SAY ""
$ SAY "Specify directory to hold SYMFILE, or press return to use the"
$ SAY "default value of ''defdir'. At startup time, logical" 
$ SAY "name SYMFILE_DIR will be created to point to this directory"
$ SAY ""
$ SAY "Three files will be created in this directory."
$ SAY "  1. SYMFILE.EXE           - The executable that SYMFILE uses"
$ SAY "  2. SYMFILE_STARTUP.COM   - The command procedure that starts SYMFILE up"
$ SAY "  3. SYMFILE_RUN.DETACHED  - The command run by the detached process."
$ SAY ""
$ READ/PROMPT="Directory: " SYS$COMMAND sfdir
$ sfdir = f$EDIT(sfdir,"UPCASE,TRIM")
$!
$ SAY ""
$ SAY "Specify the help library to hold the information on the SYMFILE command."
$ SAY "Press return to use the default value ''defhlp'"
$ SAY ""
$ READ/PROMPT="Help library: " SYS$COMMAND sfhlp
$ sfhlp = f$EDIT(sfhlp,"UPCASE,TRIM")
$ SAY ""
$!
$ IF sfdir .EQS. "" THEN sfdir = defdir
$ IF f$PARSE(sfdir) .EQS. ""
$ THEN
$    READ /PROMPT="''sfdir' does not exist - create it? [n]: " -
          SYS$COMMAND yn
$     IF .NOT. yn
$     THEN
$        GOTO FNF
$     ENDIF
$     CREATE/DIRECTORY/PROT=(W:E) 'sfdir'
$ ENDIF
$!
$ IF sfhlp .EQS. "" THEN sfhlp = defhlp
$ sfhlp = f$PARSE(sfhlp,"SYS$HELP:.HLB;")
$ IF f$SEARCH(sfhlp) .EQS. ""
$ THEN
$    SAY "Help file does not exist"
$    GOTO FNF
$ ENDIF
$!
$ SAY "COMPILING SOURCES.."
$ MACRO SYMFILE.MAR
$ MACRO SYMFILE_KERNEL.MAR
$ SET COMMAND /OBJECT SYMFILE_CLITABLE.CLD
$!
$ SAY "LINKING OBJECTS.."
$ LINK /NOTRACE SYMFILE.OBJ+SYMFILE_KERNEL+SYMFILE_CLITABLE
$!
$ SAY "CREATING FILES IN DESTINATION AREA.."
$ SAY " - SYMFILE.EXE.."
$ COPY SYMFILE.EXE  'sfdir'*.*; /PROT=(W:E)		! SYMFILE.EXE
$ SAY " - SYMFILE_STARTUP.COM.."
$ CREATE 'sfdir'SYMFILE_STARTUP.COM			! SYMFILE_STARTUP.COM
$ DECK
$! SYMFILE_STARTUP.COM
$!
$ EOD
$ OPEN/APPEND start_file 'sfdir'SYMFILE_STARTUP.COM
$ WRITE start_file "$ DEFINE/SYSTEM SYMFILE_DIR ''sfdir'"
$ APPEND SYS$INPUT start_file
$ DECK
$ DEFINE/SYSTEM SYMFILE_EXE SYMFILE_DIR:SYMFILE.EXE
$!              
$ IF F$FILE("SYMFILE_EXE","KNOWN")			! Install image
$ THEN      
$    INSTALL REPLACE SYMFILE_EXE
$ ELSE
$    INSTALL ADD SYMFILE_EXE /HEADER /PRIV=(CMKRNL,BYPASS)
$ ENDIF
$!
$ RUN	/DETACHED -					! Start symfile server
	/PRIORITY=4 -
	/UIC=SYSTEM -
	/AUTHORIZE -
	/PROCESS="SYMFILE server" -
	/INPUT  = SYMFILE_DIR:SYMFILE_RUN.DETACHED -
	/OUTPUT = NLA0: -
	SYS$SYSTEM:LOGINOUT
$ EXIT
$ EOD
$! 
$ SAY " - SYMFILE_RUN.DETACHED.."
$ COPY SYMFILE_RUN.DETACHED 'sfdir'*.*  /PROT=(W)	! SYMFILE_RUN.DETACHED
$!
$ SAY "CREATING HELP ENTRY.."
$ LIBRARY/HELP/REPLACE 'sfhlp' SYMFILE.HLP
$!
$ SAY "DELETING TEMPORARY FILES.."
$ DELETE SYMFILE.OBJ;,SYMFILE_KERNEL;,SYMFILE_CLITABLE;,SYMFILE.EXE;
$!
$ SAY ""
$ SAY "Installation complete."
$ SAY ""
$ SAY ""
$ SAY "For details on how to start SYMFILE running, see the management guide"
$ SAY "MGMT_GUIDE.DOC."
$ SAY ""
$ GOTO EXIT
$!
$ FNF:	! File not found
$ STATUS = 98962
$ GOTO FAIL
$!
$ ERROR_EXIT:
$ status = $STATUS
$!
$ FAIL:
$ SAY "Installation has failed!"
$ EXIT:
$ CLOSE/NOLOG start_file
$ EXIT 'status'
